[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RorWord

Rotate bits of a word value to the right

## Declaration

Source position: line 0

`function RorWord(`
`const AValue: Word`
`):Word; function RorWord(`
`const AValue: Word;`
`const Dist: Byte`
`):Word;`

## Description

RorWord rotates the bits of the word AValue with Dist positions to the right. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RorByte |  | Rotate bits of a byte value to the right
RolWord |  | Rotate bits of a word value to the left
RorDWord |  | Rotate bits of a DWord (cardinal) value to the right
RorQWord |  | Rotate bits of a QWord (64-bit) value to the right

Documentation generated on: Feb 26 2014